package meerkat.crypto;

import com.google.protobuf.Message;

import java.util.List;
import static meerkat.protobuf.Crypto.*;

/**
 * Created by talm on 25/10/15.
 *
 * Sign arrays of messages
 */
public interface DigitalSignature { // Extends SCAPI DigitalSignature
    public Signature sign(List<Message> msg);

    public boolean verify(Signature sig, List<Message> msgs);
}
